﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TestWindow
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }


        /// <summary>
        /// ボタン：メインウィンドウを閉じる
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void B_EXIT_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }



        /// <summary>
        /// ボタン：セキュリティ解除画面
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void B_SECURITYTEST_Click(object sender, RoutedEventArgs e)
        {
            SecurityDrawLine secWin = new SecurityDrawLine();

            //正解ルートの暗号化文字列を取得
            String tmpStr = secWin.GetOKRootStr("210367854");

            //正解ルートの文字列をセット
            secWin.SetOKRootStr(tmpStr);

            //セキュリティ解除成功時に開くウィンドウをセット
            NextWindow nextWin = new NextWindow();
            secWin.SetPassedWindow(nextWin);

            //セキュリティ解除画面を開く
            secWin.ShowDialog();
        }

    }
}
